
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VELODYNE_SCAN_H
#define VELODYNE_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genPosScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "velodynePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_VELODYNE_TARGETTRACKING_POSTER_STR ( FILE *in, FILE *out,
       struct VELODYNE_TARGETTRACKING_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR ( FILE *in, FILE *out,
       struct VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR ( FILE *in, FILE *out,
       struct VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VELODYNE_THREEDIMAGE_POSTER_STR ( FILE *in, FILE *out,
       struct VELODYNE_THREEDIMAGE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_VELODYNE_STR ( FILE *in, FILE *out,
       struct VELODYNE_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneOneShotParams ( FILE *in, FILE *out,
       struct velodyneOneShotParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneSaveParams ( FILE *in, FILE *out,
       struct velodyneSaveParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneTargetTrackingFileOutputParams ( FILE *in, FILE *out,
       struct velodyneTargetTrackingFileOutputParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneTargetTrackingParams ( FILE *in, FILE *out,
       struct velodyneTargetTrackingParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneTargetDetectionFileOutput ( FILE *in, FILE *out,
       struct velodyneTargetDetectionFileOutput *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneTargetDetectionParams ( FILE *in, FILE *out,
       struct velodyneTargetDetectionParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneTargetParams ( FILE *in, FILE *out,
       struct velodyneTargetParams *x, int indent, int nDim, int *dims );
extern int scan_enum_velodyneVerbosity ( FILE *in, FILE *out,
       enum velodyneVerbosity *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneFOVRemoveLineParams ( FILE *in, FILE *out,
       struct velodyneFOVRemoveLineParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneFOVRemoveHeadingSectorParams ( FILE *in, FILE *out,
       struct velodyneFOVRemoveHeadingSectorParams *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyneInitParams ( FILE *in, FILE *out,
       struct velodyneInitParams *x, int indent, int nDim, int *dims );
extern int scan_enum_velodyneModel ( FILE *in, FILE *out,
       enum velodyneModel *x, int indent, int nDim, int *dims );
extern int scan_enum_velodyneMode ( FILE *in, FILE *out,
       enum velodyneMode *x, int indent, int nDim, int *dims );
extern int scan_enum_velodyneBoolean ( FILE *in, FILE *out,
       enum velodyneBoolean *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyne3DImage ( FILE *in, FILE *out,
       struct velodyne3DImage *x, int indent, int nDim, int *dims );
extern int scan_struct_velodyne3DPoint ( FILE *in, FILE *out,
       struct velodyne3DPoint *x, int indent, int nDim, int *dims );
extern int scan_enum_velodyne3DPointStatus ( FILE *in, FILE *out,
       enum velodyne3DPointStatus *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_velodyne3DPointStatus ( FILE *in, FILE *out,
       velodyne3DPointStatus *x, int indent, int nDim, int *dims );
extern int scan_velodyne3DPoint ( FILE *in, FILE *out,
       velodyne3DPoint *x, int indent, int nDim, int *dims );
extern int scan_velodyne3DImage ( FILE *in, FILE *out,
       velodyne3DImage *x, int indent, int nDim, int *dims );
extern int scan_velodyneBoolean ( FILE *in, FILE *out,
       velodyneBoolean *x, int indent, int nDim, int *dims );
extern int scan_velodyneMode ( FILE *in, FILE *out,
       velodyneMode *x, int indent, int nDim, int *dims );
extern int scan_velodyneModel ( FILE *in, FILE *out,
       velodyneModel *x, int indent, int nDim, int *dims );
extern int scan_velodyneInitParams ( FILE *in, FILE *out,
       velodyneInitParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneFOVRemoveHeadingSectorParams ( FILE *in, FILE *out,
       velodyneFOVRemoveHeadingSectorParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneFOVRemoveLineParams ( FILE *in, FILE *out,
       velodyneFOVRemoveLineParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneVerbosity ( FILE *in, FILE *out,
       velodyneVerbosity *x, int indent, int nDim, int *dims );
extern int scan_velodyneTargetParams ( FILE *in, FILE *out,
       velodyneTargetParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneTargetDetectionParams ( FILE *in, FILE *out,
       velodyneTargetDetectionParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneTargetDetectionFileOutput ( FILE *in, FILE *out,
       velodyneTargetDetectionFileOutput *x, int indent, int nDim, int *dims );
extern int scan_velodyneTargetTrackingParams ( FILE *in, FILE *out,
       velodyneTargetTrackingParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneTargetTrackingFileOutputParams ( FILE *in, FILE *out,
       velodyneTargetTrackingFileOutputParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneSaveParams ( FILE *in, FILE *out,
       velodyneSaveParams *x, int indent, int nDim, int *dims );
extern int scan_velodyneOneShotParams ( FILE *in, FILE *out,
       velodyneOneShotParams *x, int indent, int nDim, int *dims );
extern int scan_VELODYNE_STR ( FILE *in, FILE *out,
       VELODYNE_STR *x, int indent, int nDim, int *dims );
extern int scan_VELODYNE_THREEDIMAGE_POSTER_STR ( FILE *in, FILE *out,
       VELODYNE_THREEDIMAGE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR ( FILE *in, FILE *out,
       VELODYNE_TARGETABSOLUTEPOSITION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR ( FILE *in, FILE *out,
       VELODYNE_TARGETRELATIVEPOSITION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_VELODYNE_TARGETTRACKING_POSTER_STR ( FILE *in, FILE *out,
       VELODYNE_TARGETTRACKING_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* VELODYNE_SCAN_H */

