
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * velodyneType.h:     La SDI_F de velodyne
 *
 * Utilise par le module et par les clients
 * (inclut dans velodyneMsgLib.h et velodynePosterLib.h)
 * 
 */

#ifndef velodyne_TYPE_H
#define velodyne_TYPE_H

#include "genom/modules.h"
#include "velodyneError.h"

/* Nombre de tache d'execution de ce module */
#define VELODYNE_NB_EXEC_TASK                   (1)


#endif
#ifndef velodyne_TYPE1_H
#define velodyne_TYPE1_H

#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "velodyneClient.h"
#include "velodyneStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct VELODYNE_STR {
	velodyneInitParams initParams;
	velodyneSaveParams readModeParams;
	POM_EULER sensorToMain;
	velodyneFOVRemoveHeadingSectorParams fovRemoveHeadingSectorParams;
	velodyneFOVRemoveLineParams fovRemoveLineParams;
	velodyneSaveParams saveParams;
	velodyneSaveParams saveIm3DParams;
	velodyneOneShotParams oneShotParams;
	velodyneTargetParams targetParams;
	velodyneTargetDetectionParams targetDetectionParams;
	velodyneTargetDetectionFileOutput targetDetectionFileOutput;
	velodyneTargetTrackingParams targetTrackingParams;
	velodyneTargetTrackingFileOutputParams targetTrackingFileOutputParams;
	velodyne3DImage exportedPoster;
	GENPOS_TRAJ_POINTS targetRelativePosition;
	GENPOS_TRAJ_POINTS targetAbsolutePosition;
	GENPOS_TRAJ_POINTS targetTracking;
	int running;
	velodyneSaveParams DumpTargetInput[20];
} VELODYNE_STR;


#endif

